#!/usr/bin/python
import re
import os, sys
import subprocess
import tempfile
import optparse
import string
import csv
import re

in_file = open("all_results.cvs", "r")
param_stats = open("param_stats.dat", "w")
weight_stats = open("length_stats.dat", "w")
time_out_info = open("time_out_info.dat", "w")
entailments_info = open("entailments_info.dat", "w")
search_appr_info = open("search_appr_info.dat", "w")
search_appr_fail = open("search_appr_fail.dat", "w")
ref_comp_time = open("ref_comp_time.dat", "w")

param_stats.write("# c1: Num of Parameters  c2: Time for computing parameter region\n")
weight_stats.write("# c1: Weight of Original spec    c2: Weight of Tighten spec\n")
time_out_info.write("# List of benchmarks with timeout \n")
entailments_info.write("# List of failed entailments \n")
search_appr_info.write("# c1: Time of compositional approach c2: Time of encode approach \n")
search_appr_fail.write("# List of Failure comparison of search approach \n")
ref_comp_time.write("# c1: Time of Refinement for original spec c2: Time of Refinement for tighten spec \n")

ref1 = False
ref_original = None
orig_data = None

for line in in_file:

  if 'Entailment' in line:
    data = line.split(':')
    if 'NOT' in line:
      entailments_info.write(data[0] + "\n")
#      tight_data = str(data[1])

  if 'argv[2]' in line:
    name_cmd = line
    name_cmd = name_cmd.replace('\[runlim\] argv[2]:', '')
    
  if 'out of time' in line:
    time_out_info.write(name_cmd)

  if 'FAILURE' in line:
    search_appr_fail.write(name_cmd)
 
  if line.startswith('DONE'):
    info = line
    
    if 'DONE' in info:
      info = info.replace('DONE', '')
      info = info.replace('parameters=', '')
      info = info.replace('time_encode', '')
      info = info.replace('time_compos', '')
      info = info.replace('(', '')
      info = info.replace('=', '')
      info = info.replace(')', '')
      info = info.replace(',', '')
      search_appr_info.write(info)

  if line.startswith('(Length'):
    winfo = line
    winfo = winfo.replace('(Length_input=', '')
    winfo = winfo.replace('Length_tighten=', '')
    winfo = winfo.replace(',', ' ')
    winfo = winfo.replace(')', ' ')
    weight_stats.write(winfo)

  if line.startswith('  :TIME:Check Refinement = '):
    tref = line
    tref = tref.replace('  :TIME:Check Refinement = ', '')
    tref = tref.replace(' secs.', '')
    if ref1:
      ref_comp_time.write(str(ref_original) + " " + str(tref))
    else:
      ref_original = tref
      ref1 = True

param_stats.closed
weight_stats.closed
time_out_info.closed
entailments_info.closed
search_appr_info.closed
search_appr_fail.closed
ref_comp_time.closed
